OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class NotificationCommandManager

    java.lang.Object
      org.opennms.netmgt.config.NotificationCommandManager

Direct Known Subclasses:
  MockNotificationCommandManager, NotificationCommandFactory

public abstract class NotificationCommandManager
extends java.lang.Object

Author:
  david hustace <david@opennms.org>

Field Summary
`protected java.io.InputStream` `configIn`
`private java.util.Map` `m_commands`

Constructor Summary
`NotificationCommandManager()`

Method Summary
`Command` `getCommand(java.lang.String name)`
`java.util.Map` `getCommands()`
`protected void` `parseXML(java.io.Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_commands

    private java.util.Map m_commands

### configIn

    protected java.io.InputStream configIn

Constructor Detail

### NotificationCommandManager

    public NotificationCommandManager()

Method Detail

### parseXML

    protected void parseXML(java.io.Reader reader)
                     throws org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getCommand

    public Command getCommand(java.lang.String name)

### getCommands

    public java.util.Map getCommands()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.